Subject: pkg/15224: Non-maintainer upgrade of lang/clisp
To: None <>
From: None <>
List: netbsd-bugs
Date: 01/12/2002 16:32:51
>Number:         15224
>Category:       pkg
>Synopsis:       Non-maintainer upgrade of lang/clisp
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Sat Jan 12 16:34:00 PST 2002
>Originator:     Shell Hung
>Release:        NetBSD-1.5ZA
NetBSD 1.5ZA NetBSD 1.5ZA (GENERIC) #0: Sat Jan  5 01:05:32 PST 2002 i386
Upgrade available of lang/clisp to 2.27

Changes :
- Lots of changes, see WRKSRC/src/CHANGE.LOG
- Now distributed under GPL

Important Changes :
- All .fas files generated by previous CLISP versions
  are invalid and must be recompiled.
- The default extension of Lisp source files for CLISP is now ".lisp" instead
  of ".lsp".


The CVS diff for this upgrade can be fetched at :

I have just tested with some code I uses before, I am not sure will it
break on other arch or not, so the build log is also available (i386),
the file named clisp-build.diff.gz, please test it.